另一台服务器好久不用了,最近打算系统更新一下,结果使用yum命令的时候发现出错了。

因为yum使用python2,因此替换为python3后可能无法正常工作,继续使用这个python2.7.5,因此需要修改yum相关配置文件。

#vi /usr/bin/yum

把文件头部的#!/usr/bin/python改成#!/usr/bin/python2.7保存退出即可。
打开我的文件发现其实早就修改过了。

#vi /usr/libexec/urlgrabber-ext-down

同样的,把文件头部的#!/usr/bin/python改成#!/usr/bin/python2.7保存退出即可。
此时,再次运行yum命令,一切OK。

最后修改:2020 年 03 月 03 日 09 : 38 AM
如果觉得我的文章对你有用,请随意赞赏